Skip to main content

Trigger an Outbound Agent Run by Agent UUID

POST/api/v1/public/agent/workflow/{workflow_uuid}

Initiate a phone call against the published workflow identified by UUID.

cURL example

curl -X POST \
  'https://app.intracord.hu/api/v1/public/agent/workflow/{workflow_uuid}' \
  -H "X-API-Key: $INTRACORD_API_KEY" \
  -H 'Content-Type: application/json' \
  --data-binary @request.json

Parameters

NameLocationTypeDescription
workflow_uuidrequiredpathstring
X-API-Keyrequiredheaderstring

Request body

application/json
View schema
{
  "properties": {
    "phone_number": {
      "type": "string",
      "title": "Phone Number"
    },
    "initial_context": {
      "anyOf": [
        {
          "additionalProperties": true,
          "type": "object"
        },
        {
          "type": "null"
        }
      ],
      "title": "Initial Context"
    },
    "telephony_configuration_id": {
      "anyOf": [
        {
          "type": "integer"
        },
        {
          "type": "null"
        }
      ],
      "title": "Telephony Configuration Id"
    },
    "from_phone_number_id": {
      "anyOf": [
        {
          "type": "integer"
        },
        {
          "type": "null"
        }
      ],
      "title": "From Phone Number Id"
    }
  },
  "type": "object",
  "required": [
    "phone_number"
  ],
  "title": "TriggerCallRequest",
  "description": "Request model for triggering a call via API"
}

Responses

200Successful Response
application/json
View schema
{
  "properties": {
    "status": {
      "type": "string",
      "title": "Status"
    },
    "workflow_run_id": {
      "type": "integer",
      "title": "Workflow Run Id"
    },
    "workflow_run_name": {
      "type": "string",
      "title": "Workflow Run Name"
    }
  },
  "type": "object",
  "required": [
    "status",
    "workflow_run_id",
    "workflow_run_name"
  ],
  "title": "TriggerCallResponse",
  "description": "Response model for successful call initiation"
}
404Not found
422Validation Error
application/json
View schema
{
  "properties": {
    "detail": {
      "items": {
        "$ref": "#/components/schemas/ValidationError"
      },
      "type": "array",
      "title": "Detail"
    }
  },
  "type": "object",
  "title": "HTTPValidationError"
}